Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Interface ServerManager

All Known Implementing Classes:
  SimpleServerManager

public interface ServerManager

This interface describes all operations that must be implemented to provide a server request interceptor manager.

Overrides must have a constructor with exact signature:

     public ServerManager(
             org.omg.PortableInterceptor.ServerRequestInterceptor [] list,
             org.openorb.PI.CurrentImpl current)

The default implementation can be overriden by setting the openorb.PI.ServerManagerClass property with the classname of the override. To disable server side interception set this property to the empty string.

Each interception point must manage pushes and pops to the PICurrent as each interceptor is called.

It is allowable to call interceptors in different threads, however calls to the request callback must occour in the same thread as the one which called this function.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood

Method Summary
`void` | `receive_request_service_contexts(ServerRequestInfo info, RequestCallback cb)` Handles the recieve_request_service_contexts interception point.
`void` | `receive_request(ServerRequestInfo info, RequestCallback cb)` Handles the recieve_request interception point.
`void` | `send_exception(ServerRequestInfo info, RequestCallback cb)` Handles the send_exception interception point.
`void` | `send_other(ServerRequestInfo info, RequestCallback cb)` Handles the send_other interception point.
`void` | `send_reply(ServerRequestInfo info, RequestCallback cb)` Handles the send_reply interception point.

Method Detail

### receive_request_service_contexts

    public void receive_request_service_contexts(ServerRequestInfo info,
                                                 RequestCallback cb)

  Handles the recieve_request_service_contexts interception point.

### receive_request

    public void receive_request(ServerRequestInfo info,
                                RequestCallback cb)

  Handles the recieve_request interception point.

### send_reply

    public void send_reply(ServerRequestInfo info,
                           RequestCallback cb)

  Handles the send_reply interception point.

### send_exception

    public void send_exception(ServerRequestInfo info,
                               RequestCallback cb)

  Handles the send_exception interception point.

### send_other

    public void send_other(ServerRequestInfo info,
                           RequestCallback cb)

  Handles the send_other interception point.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD